scala.tools.nsc.symtab.classfile

# AbstractFileReader

#### class AbstractFileReader extends AnyRef

This class reads files byte per byte. Only used by ClassFileParser

Source
  AbstractFileReader.scala
Version

  1.0, 23/03/2004

Linear Supertypes
AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. AbstractFileReader
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new AbstractFileReader(file: AbstractFile)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from AbstractFileReader to any2stringadd[AbstractFileReader] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (AbstractFileReader, B)

   Implicit information
     This member is added by an implicit conversion from AbstractFileReader to ArrowAssoc[AbstractFileReader] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### var bp: Int

   the current input pointer

8. #### val buf: Array[Byte]

   the buffer containing the file

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def ensuring(cond: (AbstractFileReader) ⇒ Boolean, msg: ⇒ Any): AbstractFileReader

    Implicit information
      This member is added by an implicit conversion from AbstractFileReader to Ensuring[AbstractFileReader] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: (AbstractFileReader) ⇒ Boolean): AbstractFileReader

    Implicit information
      This member is added by an implicit conversion from AbstractFileReader to Ensuring[AbstractFileReader] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean, msg: ⇒ Any): AbstractFileReader

    Implicit information
      This member is added by an implicit conversion from AbstractFileReader to Ensuring[AbstractFileReader] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean): AbstractFileReader

    Implicit information
      This member is added by an implicit conversion from AbstractFileReader to Ensuring[AbstractFileReader] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### val file: AbstractFile

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from AbstractFileReader to StringFormat[AbstractFileReader] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

19. #### def getChar(mybp: Int): Char

    extract a character at position bp from buf

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def getDouble(mybp: Int): Double

    extract a double at position bp from buf

22. #### def getFloat(mybp: Int): Float

    extract a float at position bp from buf

23. #### def getInt(mybp: Int): Int

    extract an integer at position bp from buf

24. #### def getLong(mybp: Int): Long

    extract a long integer at position bp from buf

25. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

26. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

27. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

28. #### def nextByte: Byte

    read a byte

    read a byte

    Annotations
      @throws( classOf[IndexOutOfBoundsException] )

29. #### def nextBytes(len: Int): Array[Byte]

    read some bytes

30. #### def nextChar: Char

    read a character

31. #### def nextInt: Int

    read an integer

32. #### final def notify(): Unit

    Definition Classes
      AnyRef

33. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

34. #### def skip(n: Int): Unit

    skip next 'n' bytes

35. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

36. #### def toString(): String

    Definition Classes
      AnyRef → Any

37. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### def →[B](y: B): (AbstractFileReader, B)

    Implicit information
      This member is added by an implicit conversion from AbstractFileReader to ArrowAssoc[AbstractFileReader] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from AbstractFileReader to any2stringadd[AbstractFileReader]

### Inherited by implicit conversion StringFormat from AbstractFileReader to StringFormat[AbstractFileReader]

### Inherited by implicit conversion Ensuring from AbstractFileReader to Ensuring[AbstractFileReader]

### Inherited by implicit conversion ArrowAssoc from AbstractFileReader to ArrowAssoc[AbstractFileReader]

### Ungrouped